<?php
if (isset($leftListsArray) == false) {
    /* Test for ConceptType Category specific defaults with dynamic section names */
    if (isset($subconceptTypeFilter) and $conceptTypeFilter == 'category' and $subconceptTypeFilter == 'section') {
        $Section_Specific_Name = $subconceptNameFilter;
        foreach ($conceptJSONArray as $key => $value) {
            if ($key == 'category_default-' . $Section_Specific_Name) {
                if (isset($conceptJSONArray['category_default-' . $Section_Specific_Name]['pageheadline'])) {
                    $pageHeadline = $conceptJSONArray['category_default-' . $Section_Specific_Name]['pageheadline'];
                }
                $leftListsArray = $conceptJSONArray['category_default-' . $Section_Specific_Name]['left-lists'];
                if (isset($conceptJSONArray['category_default-' . $Section_Specific_Name]['right-lists'])) {
                    $rightListsArray = $conceptJSONArray['category_default-' . $Section_Specific_Name]['right-lists'];
                }
                /* Use custom split */
                if (isset($conceptJSONArray['category_default-' . $Section_Specific_Name]['split'])) {
                    $customPageSplit = $conceptJSONArray['category_default-' . $Section_Specific_Name]['split'];
                    $customPageSplit = explode(",", $customPageSplit);
                    if (isset($customPageSplit[1])) {
                        $leftSplit = $customPageSplit[0];
                        $rightSplit = $customPageSplit[1];
                        $leftWidth = "width:" . $leftSplit . "%;";
                        $rightWidth = "width:" . $rightSplit . "%;";
                    } else {
                        $leftWidth = "width:100;";
                        $rightWidth = "display: none;";
                    }
                } else {
                    $defaultPageSplit = $conceptJSONArray['section_default']['split'];
                    $defaultPageSplit = explode(",", $defaultPageSplit);
                    $leftSplit = $defaultPageSplit[0];
                    $rightSplit = $defaultPageSplit[1];
                    $leftWidth = "width:" . $leftSplit . "%;";
                    $rightWidth = "width:" . $rightSplit . "%;";
                }
            }
        }
        /* Test for ConceptType Category specific defaults */
    } elseif ($conceptTypeFilter == 'category') {
        if (isset($conceptJSONArray['category_default']['pageheadline'])) {
            $pageHeadline = $conceptJSONArray['category_default']['pageheadline'];
        }
        $leftListsArray = $conceptJSONArray['category_default']['left-lists'];
        if (isset($conceptJSONArray['category_default']['right-lists'])) {
            $rightListsArray = $conceptJSONArray['category_default']['right-lists'];
        }
        /* Use custom split */
        if (isset($conceptJSONArray['category_default']['split'])) {
            $customPageSplit = $conceptJSONArray['category_default']['split'];
            $customPageSplit = explode(",", $customPageSplit);
            if (isset($customPageSplit[1])) {
                $leftSplit = $customPageSplit[0];
                $rightSplit = $customPageSplit[1];
                $leftWidth = "width:" . $leftSplit . "%;";
                $rightWidth = "width:" . $rightSplit . "%;";
            } else {
                $leftWidth = "width:100;";
                $rightWidth = "display: none;";
            }
        } else {
            $defaultPageSplit = $conceptJSONArray['section_default']['split'];
            $defaultPageSplit = explode(",", $defaultPageSplit);
            $leftSplit = $defaultPageSplit[0];
            $rightSplit = $defaultPageSplit[1];
            $leftWidth = "width:" . $leftSplit . "%;";
            $rightWidth = "width:" . $rightSplit . "%;";
        }
        /*  Section default fall back */
    } else {
        $leftListsArray = $conceptJSONArray['section_default']['left-lists'] ?? [];
        $rightListsArray = $conceptJSONArray['section_default']['right-lists'] ?? [];
        $defaultPageSplit = $conceptJSONArray['section_default']['split'];
        $defaultPageSplit = explode(",", $defaultPageSplit);
        if (isset($defaultPageSplit[1])) {
            $leftSplit = $defaultPageSplit[0];
            $rightSplit = $defaultPageSplit[1];
            $leftWidth = "width:" . $leftSplit . "%;";
            $rightWidth = "width:" . $rightSplit . "%;";
        } else {
            $leftWidth = "width:100%;";
            $rightWidth = "display: none;";
        }
    }
}
