<?php
function return_Query_With_NoDuplicates($query, $noDuplicatesArray)
{
	#Create No Duplicates addition to query
	$noDuplicatesArrayLength = count($noDuplicatesArray);
	if ($noDuplicatesArrayLength > 0) {
		$noDuplicatesQuery = " AND NOT uuid:(";
		$i = 0;
		foreach ($noDuplicatesArray as $item) {
			if ($i == $noDuplicatesArrayLength - 1) {
				$noDuplicatesQuery .= $item;
			} else {
				$noDuplicatesQuery .= $item . " OR ";
			}
			$i++;
		}
		$noDuplicatesQuery .= ")";
	} else {
		$noDuplicatesQuery = "";
	}

	#Updated query combining array of used UUIDs and passed in Query
	$query .= $noDuplicatesQuery;

	return $query;
}
